Package twisted :: Package popsicle :: Module freezer :: Class PersistentReference

[show private | hide private]
[frames | no frames]

## Class PersistentReference

I am a reference to a persistent object.

The most interesting external interface is __call__: instances of this class should generally be treated as zero-argument functions which return Deferreds.

Method Summary
| `__init__(self, oid, repo, obj)`
| ``__call__`(self)` Load my object into memory, and return a Deferred which will fire it.
| ``acquireOID`(self, repo)` Take a PersistentReference that isn't really persistent yet, and associate it with a repository, give it an OID, and set it dirty.

Method Details

### __call__(self)
(Call operator)

Load my object into memory, and return a Deferred which will fire it.

### acquireOID(self, repo=None)

Take a PersistentReference that isn't really persistent yet, and associate it with a repository, give it an OID, and set it dirty. This should happen *synchronously during persistence*.

Generated by Epydoc 1.1 on Thu May 8 13:18:35 2003 | http://epydoc.sf.net